#include <stdio.h>

#include <trace_control.h>
#include <trace_user.h>

int main()
{
	trace_payload_t payload;
	
	/* Call trace_init as the first function in the main program. */
	trace_init();
	
	printf("Hello world!\n");
	
	trace_interval_p interval = trace_user_interval_entry();
	payload.word[0] = printf("This is an user interval.\n");
	trace_user_interval_exit(interval, &payload);
	
	payload.word[0] = printf("And this is an user event.\n");
	trace_user_event(&payload);
	
	return 0;
}
